GNU bug report logs - #47782
'guix substitute' crashes while running 'guix pull'

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guix; Severity: important; Reported by: bo0od <bo0od@HIDDEN>; merged with #47764; dated Thu, 15 Apr 2021 01:05:01 UTC; Maintainer for guix is bug-guix@HIDDEN.
Changed bug title to ''guix substitute' crashes while running 'guix pull'' from 'guix pull: error: You found a bug: compute-guix-derivation' Request was from Ludovic Courtès <ludo@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Severity set to 'important' from 'normal' Request was from Ludovic Courtès <ludo@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Merged 47764 47782. Request was from Ludovic Courtès <ludo@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 47782 <at> debbugs.gnu.org:


Received: (at 47782) by debbugs.gnu.org; 18 Apr 2021 10:20:20 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Apr 18 06:20:20 2021
Received: from localhost ([127.0.0.1]:45476 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lY4XM-0005rz-Is
	for submit <at> debbugs.gnu.org; Sun, 18 Apr 2021 06:20:20 -0400
Received: from eggs.gnu.org ([209.51.188.92]:33904)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ludo@HIDDEN>) id 1lY4XL-0005rl-E1
 for 47782 <at> debbugs.gnu.org; Sun, 18 Apr 2021 06:20:19 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:48994)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <ludo@HIDDEN>)
 id 1lY4XG-0005bd-02; Sun, 18 Apr 2021 06:20:14 -0400
Received: from [2a01:e0a:1d:7270:af76:b9b:ca24:c465] (port=43498 helo=ribbon)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <ludo@HIDDEN>)
 id 1lY4XF-00045d-9R; Sun, 18 Apr 2021 06:20:13 -0400
From: =?utf-8?Q?Ludovic_Court=C3=A8s?= <ludo@HIDDEN>
To: bo0od <bo0od@HIDDEN>
Subject: Re: bug#47782: guix pull: error: You found a bug:
 compute-guix-derivation
References: <842920dd-7aae-4f73-8805-e332a316de5a@HIDDEN>
Date: Sun, 18 Apr 2021 12:20:12 +0200
In-Reply-To: <842920dd-7aae-4f73-8805-e332a316de5a@HIDDEN>
 (bo0od@HIDDEN's message of "Thu, 15 Apr 2021 01:04:40 +0000")
Message-ID: <8735vnnbc3.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.2 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 47782
Cc: 47782 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

Hi,

bo0od <bo0od@HIDDEN> skribis:

> Computing Guix derivation for 'x86_64-linux'... /Backtrace:
>           15 (primitive-load "/gnu/store/0s55qkdcgpbirx39g94wlsyfp79nmmvl=
-compute-guix-derivation")
> In ice-9/eval.scm:
>     155:9 14 (_ _)
>     159:9 13 (_ #(#(#(#(#(#(#(#(#(#(#(#(#(#(#(#(#<directory (guile-u?> ?)=
 ?) ?) ?) ?) ?) ?) ?) ?) ?) ?) ?) ?) ?) ?) ?))
> In ice-9/boot-9.scm:
>     152:2 12 (with-fluid* _ _ _)
>     152:2 11 (with-fluid* _ _ _)
> In ./guix/store.scm:
>   2066:24 10 (run-with-store #<store-connection 256.99 7fa3758b23c0> _ #:=
guile-for-build _ #:system _ #:target _)
>    1900:8  9 (_ _)
> In ./guix/gexp.scm:
>    256:18  8 (_ _)
>    1137:2  7 (_ _)
>    1003:2  6 (_ _)
>     849:4  5 (_ _)
> In ./guix/store.scm:
>   1948:12  4 (_ #<store-connection 256.99 7fa3758b23c0>)
>    1362:5  3 (map/accumulate-builds #<store-connection 256.99 7fa3758b23c=
0> _ _)
>   1373:15  2 (_ #<store-connection 256.99 7fa3758b23c0> _ _)
>    719:11  1 (process-stderr #<store-connection 256.99 7fa3758b23c0> _)
> In ./guix/serialization.scm:
>      80:6  0 (read-int #<input-output: file 10>)
>
> ./guix/serialization.scm:80:6: In procedure read-int:
> ERROR:
>   1. &nar-error:
>       file: #f
>       port: #<input-output: file 10>
> guix pull: error: You found a bug: the program '/gnu/store/0s55qkdcgpbirx=
39g94wlsyfp79nmmvl-compute-guix-derivation'

Looks as if the connection to the daemon had been dropped.  Could it be
that guix-daemon was restarted while =E2=80=98guix pull=E2=80=99 was runnin=
g?

If you run =E2=80=98guix pull=E2=80=99 again, does that problem occur?

Thanks,
Ludo=E2=80=99.




Information forwarded to bug-guix@HIDDEN:
bug#47782; Package guix. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 15 Apr 2021 01:04:55 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Apr 14 21:04:55 2021
Received: from localhost ([127.0.0.1]:36073 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lWqRD-0002fl-Ei
	for submit <at> debbugs.gnu.org; Wed, 14 Apr 2021 21:04:55 -0400
Received: from lists.gnu.org ([209.51.188.17]:56878)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <bo0od@HIDDEN>) id 1lWqRB-0002fd-BW
 for submit <at> debbugs.gnu.org; Wed, 14 Apr 2021 21:04:54 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:58864)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <bo0od@HIDDEN>) id 1lWqRB-0006e3-0U
 for bug-guix@HIDDEN; Wed, 14 Apr 2021 21:04:53 -0400
Received: from mx1.riseup.net ([198.252.153.129]:48214)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <bo0od@HIDDEN>) id 1lWqR8-0001BW-RT
 for bug-guix@HIDDEN; Wed, 14 Apr 2021 21:04:52 -0400
Received: from fews2.riseup.net (fews2-pn.riseup.net [10.0.1.84])
 (using TLSv1 with cipher ECDHE-RSA-AES256-SHA (256/256 bits))
 (Client CN "*.riseup.net",
 Issuer "Sectigo RSA Domain Validation Secure Server CA" (not verified))
 by mx1.riseup.net (Postfix) with ESMTPS id 4FLLjF1YD3zDsxx
 for <bug-guix@HIDDEN>; Wed, 14 Apr 2021 18:04:49 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=riseup.net; s=squak;
 t=1618448689; bh=TWQFP0hhWq9irNjBxFP8nfbFPe1E60Jfm2d6xCHsot0=;
 h=To:From:Subject:Date:From;
 b=UfQZo/+kFh8Vk7gvayO0gzIXEp8sQdlp8ruuvEJIihPYTa5Eh2NLFZUt8l59PPTYu
 UEuulNaHqGrO7J78GIj06R+Jwp/gnzCmZOXvXe/19oM3JH7ilBvyxEA0F+x7YMXj84
 7bFG9e47cJOKxQD/kDLnPJTvGgBvdZ5XeMv+m4WQ=
X-Riseup-User-ID: 7215485E275D9C7BFFE748F806714EDA5FAB759BA6B68C4E0011689FC627BAD5
Received: from [127.0.0.1] (localhost [127.0.0.1])
 by fews2.riseup.net (Postfix) with ESMTPSA id 4FLLjD1w47z1xmv
 for <bug-guix@HIDDEN>; Wed, 14 Apr 2021 18:04:47 -0700 (PDT)
To: bug-guix@HIDDEN
From: bo0od <bo0od@HIDDEN>
Subject: guix pull: error: You found a bug: compute-guix-derivation
Message-ID: <842920dd-7aae-4f73-8805-e332a316de5a@HIDDEN>
Date: Thu, 15 Apr 2021 01:04:40 +0000
MIME-Version: 1.0
Content-Type: multipart/mixed; boundary="------------BA10C96B94E12DBBFE1DE8CA"
Content-Language: en-US
Received-SPF: pass client-ip=198.252.153.129; envelope-from=bo0od@HIDDEN;
 helo=mx1.riseup.net
X-Spam_score_int: -27
X-Spam_score: -2.8
X-Spam_bar: --
X-Spam_report: (-2.8 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1,
 RCVD_IN_DNSWL_LOW=-0.7, RCVD_IN_MSPIKE_H3=0.001, RCVD_IN_MSPIKE_WL=0.001,
 SPF_HELO_PASS=-0.001, SPF_PASS=-0.001 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.4 (-)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.4 (--)

This is a multi-part message in MIME format.
--------------BA10C96B94E12DBBFE1DE8CA
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Transfer-Encoding: 7bit

Hi There,

Running guix pull lead to the bug attached in .txt file.

ThX!

--------------BA10C96B94E12DBBFE1DE8CA
Content-Type: text/plain; charset=UTF-8;
 name="guixpullbug.text"
Content-Transfer-Encoding: base64
Content-Disposition: attachment;
 filename="guixpullbug.text"
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--------------BA10C96B94E12DBBFE1DE8CA--




Acknowledgement sent to bo0od <bo0od@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-guix@HIDDEN. Full text available.
Report forwarded to bug-guix@HIDDEN:
bug#47782; Package guix. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Sun, 18 Apr 2021 10:30:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.